Get Processor Version

Deprecated
Retrieve a specific version of a processor in Extend

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processorIdstringRequired

The ID of the processor.

Example: "ex_Xj8mK2pL9nR4vT7qY5wZ"

processorVersionIdstringRequired

The ID of the specific processor version to retrieve.

Example: "exv_QYk6jgHA_8CsO8rVWhyNC"

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Response

Successfully retrieved processor version
successboolean
versionobject
A ProcessorVersion object representing the requested version of the processor.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error